Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.util.instrum
Class MfMetric

    java.lang.Object
      javax.management.NotificationBroadcasterSupport
          com.sun.mfwk.util.instrum.MfStatus
              com.sun.mfwk.util.instrum.MfMetric

All Implemented Interfaces:
  java.util.EventListener, javax.management.MBeanRegistration, MfMetricMBean, MfStatusMBean, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, javax.management.NotificationListener

Direct Known Subclasses:
  MfExternalResourceMetrics, MfResourceMetrics, MfTransactionMetrics

public abstract class MfMetric
extends MfStatus
implements MfMetricMBean, javax.management.MBeanRegistration, javax.management.NotificationListener

MfMetric contains the generic information for all metric types

Field Summary

Fields inherited from interface com.sun.mfwk.util.instrum.MfStatusMBean
`AVAIL_CONGESTED, AVAIL_DEGRADED, AVAIL_NORMAL, OPS_FAILED, OPS_RUNNING, OPS_STARTING, OPS_STOPPED, OPS_STOPPING`

Constructor Summary
`MfMetric()`

Method Summary
`void` | `disableMonitoring()` Disables the monitoring for this instance.
`void` | `enableMonitoring()` Enables the monitoring for this instance.
`void` | `handleNotification(javax.management.Notification notification, java.lang.Object handback)`
`boolean` | `isMonitoringEnabled()` Check if the instrumentation is disabled for this instance.
`void` | `postDeregister()`
`void` | `postRegister(java.lang.Boolean registrationDone)`
`void` | `preDeregister()`
`javax.management.ObjectName` | `preRegister(javax.management.MBeanServer server, javax.management.ObjectName name)`
`abstract void` | `resetMetrics()` Reset all the metrics.

Methods inherited from class com.sun.mfwk.util.instrum.MfStatus
`getAvailabilityState, getAvailStateLastChange, getDegradedTime, getOperationalState, getOpsStateLastChange, getRunningTime, setAvailabilityState, setAvailStateLastChange, setDegradedTime, setOperationalState, setOpsStateLastChange, setRunningTime`

Methods inherited from class javax.management.NotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.sun.mfwk.util.instrum.MfStatusMBean
`getAvailabilityState, getAvailStateLastChange, getDegradedTime, getOperationalState, getOpsStateLastChange, getRunningTime`

Constructor Detail

### MfMetric

    public MfMetric()

Method Detail

### enableMonitoring

    public void enableMonitoring()

  Enables the monitoring for this instance.

  Specified by:
    `enableMonitoring` in interface `MfMetricMBean`

### disableMonitoring

    public void disableMonitoring()

  Disables the monitoring for this instance.

  Specified by:
    `disableMonitoring` in interface `MfMetricMBean`

### isMonitoringEnabled

    public boolean isMonitoringEnabled()

  Check if the instrumentation is disabled for this instance.

  Specified by:
    `isMonitoringEnabled` in interface `MfMetricMBean`

### resetMetrics

    public abstract void resetMetrics()

  Reset all the metrics.

  Specified by:
    `resetMetrics` in interface `MfMetricMBean`

### handleNotification

    public void handleNotification(javax.management.Notification notification,
                                   java.lang.Object handback)

  Specified by:
    `handleNotification` in interface `javax.management.NotificationListener`

### postDeregister

    public void postDeregister()

  Specified by:
    `postDeregister` in interface `javax.management.MBeanRegistration`

### postRegister

    public void postRegister(java.lang.Boolean registrationDone)

  Specified by:
    `postRegister` in interface `javax.management.MBeanRegistration`

### preDeregister

    public void preDeregister()
                       throws java.lang.Exception

  Specified by:
    `preDeregister` in interface `javax.management.MBeanRegistration`
  Throws:
    `java.lang.Exception`

### preRegister

    public javax.management.ObjectName preRegister(javax.management.MBeanServer server,
                                                   javax.management.ObjectName name)
                                            throws java.lang.Exception

  Specified by:
    `preRegister` in interface `javax.management.MBeanRegistration`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD